Installare php 5.2 su Ubuntu 10.4

Come installare php 5.2 su Ubuntu 10.4. Qualcuno potrebbe chiedersi perché la 10.4 e non una versione più recente. La risposta è semplice, la versione 10.4 di Ubuntu è al momento quella ufficialmente considerata stabile, e nel caso di una installazione di un server risulta la più indicata.

Soprattutto nel caso di un server può capitare che la versione 5.3 del php non vada bene perché non supportata da alcuni moduli necessari al funzionamento del server, come per esempio Zend Optimizer.

E proprio Zend Optimizer rientra nella categoria dei moduli che non funzionano sul php 5.3 e supportano il php fino alla versione 5.2.

Cerchiamo quindi il modo di installare il php 5.2 su Ubuntu 10.4 (lucid). Facendo una ricerca su internet la soluzione più diffusa è quella di utilizzare i pacchetti di karmic, di fatto effettuando un downgrade, limitato al solo php.

La soluzione non mi è piaciuta molto perché nei pacchetti di karmic (Ubuntu 9.10) il php 5.2 è alla subversion 10, una versione piuttosto vecchia, con alcuni problemi di sicurezza. Meglio cercare qualcos'altro.

La soluzione alternativa per installare il php 5.2 su Ubuntu 10.4 è quella di utilizzare il pacchetto php messo a disposizione da Zend, con i pacchetti già pronti per Ubuntu/Debian.

Quello che ci serve è lo stack php fornito da "Zend Server Community Edition", un pacchetto gratuito, utilizzabile liberamente anche su sistemi di produzione.

Per accedere al repository dei pacchetti php è sufficiente aggiungere la seguente riga al file /etc/apt/sources.list

scaricare e salvare la chiave pubblica

aggiornare la lista dei pacchetti disponibili

infine installare i pacchetti del php 5.2 forniti da Zend Server Community Edition

L'installazione rimuoverà i pacchetti del php 5.3 per sostituirli con quelli del php 5.2. Avremo così installato sul nostro Ubuntu 10.4 il php 5.2.

Tags: , , , ,

About the Author

2 Enlightened Replies

Trackback  •  Comments RSS

Post a Reply

Il tuo indirizzo email non sarà pubblicato. I campi obbligatori sono contrassegnati *

Top